### Class

# Ggit ObjectFactory

#### Description [src]

    final class Ggit.ObjectFactory : GObject.Object
    {
      /* No available fields */
    }

Represents an object factory.

#### Ancestors

- GObject

#### Functions

###### ggit_object_factory_get_default

Get the default type factory instance.

#### Instance methods

###### ggit_object_factory_construct

Construct a new object.

###### ggit_object_factory_register

Register `subtype` as the instantiation class for `basetype`. Each time an object of type `basetype` is going to be created, an instance of `subtype` is created instead. `basetype` must be subclassed from `GgitObjectFactoryBase`.

###### ggit_object_factory_unregister

Unregister a subtype from the factory.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitObjectFactoryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.